#ifndef ARDUINO_ANTENNAMAP_H_
#define ARDUINO_ANTENNAMAP_H_

#include <Arduino.h>
/**
 * @author James Michener (c) 2012
 *
 */
extern byte freqToIndex(const unsigned long freq, const byte guessIndex);
/// @param index  Index into Antenna Table
extern byte indexToAntenna(const byte index);

extern void outputAntennaExternalDecoding(const byte antenna);

extern void outputAntennaSoftwarelDecoding(const byte antenna);

#endif // ARDUINO_ANTENNAMAP_H_

