#ifndef __GETCONSOLE_H
#define __GETCONSOLE_H
#include <Arduino.h>

class HardwareSerial;

class GetConsole
{
public:
	GetConsole(HardwareSerial * x) :
	  hs(x)   {};
	~GetConsole(void) {};
	void initialize(const unsigned long baudRate);
	long getInt(void);
	uint8_t getByte(void);
    uint8_t getChar();
	bool getBool(void);
	unsigned long getIPAdr(void);
protected:
	HardwareSerial * hs;
private:
	void clearInputBuffer(void);
	void getString(char * buffer, const uint8_t length);
};

#endif // __GETCONSOLE_H
